#ifndef __NRF52_DK_H__
#define __NRF52_DK_H__

#include "driver.h"

#include "gpio.h"

// LED 1
const struct gpio nrf_led_1 = {
    .pin = 17,
    .dir = OUT
};
const struct driver led_1 = {
    .name = "LED1",
    .fp = &gpio_fp,
    .dev = &nrf_led_1
};

// LED 2
const struct gpio nrf_led_2 = {
    .pin = 18,
    .dir = OUT
};
const struct driver led_2 = {
    .name = "LED2",
    .fp = &gpio_fp,
    .dev = &nrf_led_2
};

// LED 3
const struct gpio nrf_led_3 = {
    .pin = 19,
    .dir = OUT
};
const struct driver led_3 = {
    .name = "LED3",
    .fp = &gpio_fp,
    .dev = &nrf_led_3
};

// LED 4
const struct gpio nrf_led_4 = {
    .pin = 20,
    .dir = OUT
};
const struct driver led_4 = {
    .name = "LED4",
    .fp = &gpio_fp,
    .dev = &nrf_led_4
};

#endif
