#include <stdbool.h>
#include <stdint.h>

#include "delay.h"
#include "board.h"

int main(void)
{
    unsigned int cnt[4] = {0, 0, 0, 0};
    const struct driver *leds[4] = {&led_1, &led_2, &led_3, &led_4};
    for(unsigned int i = 0; i < 4; i++) {
        drv_open(leds[i]);
    }
    while(true) {
        for(unsigned int i = 0; i < 4; i++) {
            char c = (cnt[i]++ % 2) + 0x30;
            drv_write(leds[i], &c, 1);
            delay_ms(500);
        }
    }
    return 0;
}
